<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>io.gitlab.littlesaints.protean.configuration (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.gitlab.littlesaints.protean.configuration (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.gitlab.littlesaints.protean.configuration</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<div class="typeSummary">
<table>
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Defaults.html" title="interface in io.gitlab.littlesaints.protean.configuration">Defaults</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="typeSummary">
<table>
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="AnalyticsOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">AnalyticsOptions</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="CacheOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">CacheOptions</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Config.html" title="class in io.gitlab.littlesaints.protean.configuration">Config</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></th>
<td class="colLast">
<div class="block">This represents the configuration for all configured <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a></th>
<td class="colLast">
<div class="block">Options to common a <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="EventOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">EventOptions</a></th>
<td class="colLast">
<div class="block">Options to common an Event's instance.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ExecutorModeOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ExecutorModeOptions</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ExecutorOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ExecutorOptions</a></th>
<td class="colLast">
<div class="block">Options to common an <a href="../EventExecutor.html" title="interface in io.gitlab.littlesaints.protean"><code>EventExecutor</code></a></div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GenericOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">GenericOptions</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GenericOptions.Builder.html" title="class in io.gitlab.littlesaints.protean.configuration">GenericOptions.Builder</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GraphOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">GraphOptions</a></th>
<td class="colLast">
<div class="block">Options to define a <a href="../Graph.html" title="class in io.gitlab.littlesaints.protean"><code>Graph</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NodeOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">NodeOptions</a></th>
<td class="colLast">
<div class="block">Options that define a <a href="../Node.html" title="class in io.gitlab.littlesaints.protean"><code>Node</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ProcessorOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ProcessorOptions</a></th>
<td class="colLast">
<div class="block">Options for configuring a <a href="../Processor.html" title="class in io.gitlab.littlesaints.protean"><code>Processor</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Props.html" title="class in io.gitlab.littlesaints.protean.configuration">Props</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ThrottleOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ThrottleOptions</a></th>
<td class="colLast">
<div class="block">Options to common a <a href="../throttle/Throttle.html" title="interface in io.gitlab.littlesaints.protean.throttle"><code>Throttle</code></a> for a <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
